/* rowcol.c: Shows the use of a RowColumn widget to   */
/* group five PushButtons.                            */
/* Exits when first button is pressed.                */
/* Example program for the xmtutor application        */
/* Author: Jan Borchers 3/93.                         */


#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <Xm/Xm.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>


void ExitCB (Widget w, caddr_t client_data, XmAnyCallbackStruct *call_data)

{
  XtCloseDisplay (XtDisplay (w));
  exit (0);
}


void main(int argc, char *argv[])

{
  Widget toplevel, rowcolumn, pushbutton1, pushbutton2, pushbutton3, pushbutton4, pushbutton5;

  toplevel = XtInitialize (argv [0], "Rowcol", NULL, 0, &argc, argv);
  rowcolumn = XmCreateRowColumn (toplevel, "rowcolumn", NULL, 0);
  XtManageChild (rowcolumn);

  pushbutton1 = XmCreatePushButton (rowcolumn, "pushbutton1", NULL, 0);
  XtManageChild (pushbutton1);
  pushbutton2 = XmCreatePushButton (rowcolumn, "pushbutton2", NULL, 0);
  XtManageChild (pushbutton2);
  pushbutton3 = XmCreatePushButton (rowcolumn, "pushbutton3", NULL, 0);
  XtManageChild (pushbutton3);
  pushbutton4 = XmCreatePushButton (rowcolumn, "pushbutton4", NULL, 0);
  XtManageChild (pushbutton4);
  pushbutton5 = XmCreatePushButton (rowcolumn, "pushbutton5", NULL, 0);
  XtManageChild (pushbutton5);

  XtAddCallback (pushbutton1, XmNactivateCallback, (void *) ExitCB, NULL);
  
  XtRealizeWidget (toplevel);
  XtMainLoop ();
}
